Subject: [GIT PULL] omap fixes against v3.16-rc1

From: [email-masked] (Tony Lindgren)
Date: Mon, 7 Jul 2014 01:10:11 -0700

* Olof Johansson <[email-masked]> [140705 12:46]:
> On Fri, Jul 4, 2014 at 11:06 PM, Olof Johansson <[email-masked]> wrote:
> > Hi,
> >
> > On Fri, Jul 4, 2014 at 9:47 PM, Olof Johansson <[email-masked]> wrote:
> >> On Mon, Jun 30, 2014 at 12:08:57AM -0700, Tony Lindgren wrote:
> >>> * Tony Lindgren <[email-masked]> [140617 08:01]:
> >>> > The following changes since commit 7171511eaec5bf23fb06078f59784a3a0626b38f:
> >>> >
> >>> >   Linux 3.16-rc1 (2014-06-15 17:45:28 -1000)
> >>> >
> >>> > are available in the git repository at:
> >>> >
> >>> >   git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap tags/omap-for-v3.16/fixes-against-rc1
> >>> >
> >>> > for you to fetch changes up to edc56f871eefbc56baf1fd981eeff35ef447925c:
> >>> >
> >>> >   ARM: dts: dra7-evm: remove interrupt binding (2014-06-17 01:22:55 -0700)
> >>
> >> Merged. Apologies for the delay, I was planning on handling this earleir this
> >> week. I'll send this up tonight or tomorrow.
> >
> > Hmm. for-next with this merged in stopped omap5uevm from booting
> > (Can't find mmcblk1 which I keep the rootfs on), see
> > http://arm-soc.lixom.net/bootlogs/arm-soc/v3.16-rc1-76-gf5ee1b1/. One
> > of the three configs had a DHCP timeout, I'm going to rebuild the
> > network here to reduce the frequency of those.
> >
> > I'll try bisecting tomorrow. Not sending it up with this known
> > breakage, hopefully it's something simple.
> 
> Hmm, this fixes branch + current mainline (or -rc3) seems fine, while
> the -rc1 base we used to have does not. In other words, it seems OK to
> send up for merge.
> 
> Note that the OMAP branch by itself doesn't boot on this machine, so
> bisectability is lost for a bit. Not quite as worried about it since
> it's not in the merge window, so we should be OK.

Sorry just saw these messages. The MMC regulator issue was a known
problem with v3.16-rc1 unrelated to arm-soc tree that got fixed
already in the mainline kernel but was not yet merged to the mainline
kernel few weeks ago when I made this branch.

Regards,

Tony